Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.https
Class HttpsFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.AbstractOriginatingFileProvider
                      org.apache.commons.vfs.provider.http.HttpFileProvider
                          org.apache.commons.vfs.provider.https.HttpsFileProvider

All Implemented Interfaces:
  FileProvider, VfsComponent

public class HttpsFileProvider
extends HttpFileProvider

An HTTPS provider that uses commons-httpclient.

Version:
  $Revision: 485638 $ $Date: 2006-12-11 13:20:55 +0100 (Mo, 11 Dez 2006) $
Author:
  Adam Murdoch

Field Summary

Fields inherited from class org.apache.commons.vfs.provider.http.HttpFileProvider
`AUTHENTICATOR_TYPES`

Constructor Summary
`HttpsFileProvider()`

Methods inherited from class org.apache.commons.vfs.provider.http.HttpFileProvider
`doCreateFileSystem, getCapabilities, getConfigBuilder`

Methods inherited from class org.apache.commons.vfs.provider.AbstractOriginatingFileProvider
`findFile, findFile`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, createFileSystem, findFileSystem, freeUnusedResources, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, init, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpsFileProvider

    public HttpsFileProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.